Agent Email
Update the email policy
PATCH /v1/agent-email/policy · SDK updateAgentEmailPolicy · CLI deployments email-policy update
PATCH
Requires agent-email:admin.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
allowlist?array<>Items
items <= 50blocklist?array<>Items
items <= 50bounceRateThresholdBasisPoints?integerRange
0 <= value <= 10000complaintRateThresholdBasisPoints?integerRange
0 <= value <= 10000dailyOutboundMessageLimit?integerRange
0 <= value <= 9007199254740991maxAttachmentBytes?integerRange
0 <= value <= 4194304maxRecipientsPerMessage?integerRange
1 <= value <= 47rawRetentionDays?integerRange
1 <= value <= 365sendingStatus?stringValue in
"active""paused"warmupStage?stringValue in
"production""ramp_1""ramp_2""ramp_3""sandbox"AgentEmailPolicyResponse
application/json- response
allowlist?array<string>blocklist?array<string>bounceRateThresholdBasisPoints*integerRange
0 <= value <= 10000complaintRateThresholdBasisPoints*integerRange
0 <= value <= 10000createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedailyOutboundMessageLimit*integerRange
0 <= value <= 9007199254740991id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$maxAttachmentBytes*integerRange
0 <= value <= 9007199254740991maxRecipientsPerMessage*integerRange
0 <= value <= 9007199254740991organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$rawRetentionDays*integerRange
0 <= value <= 9007199254740991sendingStatus*stringValue in
"active""paused""suspended"sendingStatusReason?stringupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timewarmupStage*stringValue in
"production""ramp_1""ramp_2""ramp_3""sandbox"warmupStartedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X PATCH "https://example.com/v1/agent-email/policy" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "allowlist": [ "string" ], "blocklist": [ "string" ], "bounceRateThresholdBasisPoints": 10000, "complaintRateThresholdBasisPoints": 10000, "createdAt": "2019-08-24T14:15:22Z", "dailyOutboundMessageLimit": 0, "id": "string", "maxAttachmentBytes": 0, "maxRecipientsPerMessage": 0, "organizationId": "string", "rawRetentionDays": 0, "sendingStatus": "active", "sendingStatusReason": "string", "updatedAt": "2019-08-24T14:15:22Z", "warmupStage": "production", "warmupStartedAt": "2019-08-24T14:15:22Z"}